Bug 805030 - GWT (gwt-console-server.war) version conflict between Riftsaw/BPEL console and jBPM5 consoles (see: bz 799868)
GWT (gwt-console-server.war) version conflict between Riftsaw/BPEL console an...
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBPM - within SOA (Show other bugs)
5.3.0 GA
Unspecified Unspecified
urgent Severity urgent
: ER4
: 5.3.0 GA
Assigned To: Julian Coleman
Marek Baluch
: TestBlocker
Depends On: 799868
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 09:43 EDT by Len DiMaggio
Modified: 2015-03-12 07:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
There was a version conflict between the BRMS gwt-console-server.war and bpel-console.war/gwt-console-server.war. This resulted in a deployment error. This has been fixed in 5.3.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Len DiMaggio 2012-03-20 09:43:35 EDT
Description of problem:

See: https://bugzilla.redhat.com/show_bug.cgi?id=799868

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Len DiMaggio 2012-05-09 09:29:08 EDT
    (Designer does deploy on 5.3, jBPM console doesn't.)
Comment 5 tcunning 2012-05-15 15:19:09 EDT
Is gwt-console-server.war a required piece to be installed on top of SOA-P for the BRMS deployable?   Or does the gwt-console-server.war in bpel-console suffice?
Comment 6 tcunning 2012-05-15 15:57:04 EDT
If I use the bpel-console/gwt-console-server.war, the business-central console does not work - upon login I get a "TaskManagement not implemented" stack trace.

I can get jbpm5 working on SOA-P if I remove bpel-console, but that causes all sorts of Riftsaw-related errors because I've removed essential deployments.

BRMS team needs to advise how to install this successfully into SOA-P.
Comment 7 Julian Coleman 2012-05-29 11:22:34 EDT
This should be fixed with changes to the BRMS-P console names (see 799868
).
Comment 8 Marek Baluch 2012-06-10 05:30:32 EDT
There are still conflicts between the BRMS gwt-console-server.war and bpel-console.war/gwt-console-server.war.

See logged installer BZ: https://bugzilla.redhat.com/show_bug.cgi?id=829772
Comment 10 Suz 2012-06-14 01:01:43 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
There is a version conflict between the BRMS gwt-console-server.war and bpel-console.war/gwt-console-server.war. This results in a deployment error. There will be a patch available for this in a future release.
Comment 11 Len DiMaggio 2012-06-26 10:03:03 EDT
Should be fixed in BRMS - QE to verify in ER4.
Comment 12 Marek Baluch 2012-06-27 04:29:09 EDT
Verified in ER4.
Comment 13 Suz 2012-06-28 19:38:27 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-There is a version conflict between the BRMS gwt-console-server.war and bpel-console.war/gwt-console-server.war. This results in a deployment error. There will be a patch available for this in a future release.+There was a version conflict between the BRMS gwt-console-server.war and bpel-console.war/gwt-console-server.war. This resulted in a deployment error. This has been fixed in 5.3.

Note You need to log in before you can comment on or make changes to this bug.